## ros-indigo-object-recognition-ros 0.3.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(object_recognition_ros)

find_package(catkin REQUIRED cmake_modules ecto ecto_ros geometric_shapes geometry_msgs object_recognition_core
                             object_recognition_msgs pluginlib rosbag roscpp sensor_msgs
                             visualization_msgs
)
catkin_package(INCLUDE_DIRS include
  LIBRARIES object_information_cache
  CATKIN_DEPENDS object_recognition_core object_recognition_msgs
)

#install targets for all things python
catkin_python_setup()

# build some cells
include_directories(SYSTEM ${catkin_INCLUDE_DIRS})
include_directories(include)

add_subdirectory(python)

#set the default path for built libraries to the lib directory
if (NOT CMAKE_LIBRARY_OUTPUT_DIRECTORY)
  set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
endif()

find_package(Boost REQUIRED system filesystem serialization)

add_subdirectory(src)

# add tests
if(CATKIN_ENABLE_TESTING)
  add_subdirectory(test)
endif()

# add docs
catkin_doxygen(object_recognition_ros-doxygen ${CMAKE_CURRENT_SOURCE_DIR}/include)
ecto_sphinx(${CMAKE_CURRENT_SOURCE_DIR}/doc/source doc)

# install the executables
install(PROGRAMS apps/server apps/client
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY launch
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

# install the configuration files
install(DIRECTORY ${PROJECT_SOURCE_DIR}/conf
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

# install the include dirs
install(DIRECTORY ${PROJECT_SOURCE_DIR}/include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

=== test/CMakeLists.txt ===
# check that at least the help completes correctly
object_recognition_core_help_test(${CMAKE_CURRENT_SOURCE_DIR}/../apps/server)
object_recognition_core_help_test(${CMAKE_CURRENT_SOURCE_DIR}/../apps/client)

# check the different sources
object_recognition_core_source_test(BagReader "object_recognition_ros.io" "{'bag':'a.bag'}")
object_recognition_core_source_test(RosKinect "object_recognition_ros.io" "{}")

# check the different sinks
object_recognition_core_sink_test(Publisher "object_recognition_ros.io.sink" "{}")

# check the test config file
object_recognition_core_config_test(${CMAKE_CURRENT_SOURCE_DIR}/../conf/detection.test.ros.ork)

# test the actionlib server (requires roscoreto belaunched)
#object_recognition_core_pytest(test_server)

=== src/info_cache/CMakeLists.txt ===
add_library(object_information_cache info_cache.cpp)
target_link_libraries(object_information_cache ${catkin_LIBRARIES})

install(TARGETS object_information_cache
  DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== debian/changelog ===
ros-indigo-object-recognition-ros (0.3.5-0trusty) trusty; urgency=high

  * remove useless dependency on tf
  * Merge pull request #17 <https://github.com/wg-perception/object_recognition_ros/issues/17> from v4hn/boost-scoped-ptr
    add missing include of scoped_ptr
  * add missing include of scoped_ptr
    This becomes necessary with boost 1.57
  * export the proper library
  * Contributors: Michael Görner, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 19 Nov 2014 23:00:00 -0000

ros-indigo-object-recognition-ros (0.3.4-0trusty) trusty; urgency=high

  * move RViz documentation to object_recognition_ros_visualization
  * simplify package.xml
  * add proper dependencies
  * split ork_ros into ork_ros and ork_ros_visualization
  * Contributors: Ha Dang, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 17 Sep 2014 22:00:00 -0000

ros-indigo-object-recognition-ros (0.3.3-0trusty) trusty; urgency=high

  * Added try/catch in rviz plugin to prevent crash
  * Contributors: Dave Hershberger, Sammy Pfeiffer

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 13 Aug 2014 22:00:00 -0000

ros-indigo-object-recognition-ros (0.3.2-0trusty) trusty; urgency=high

  * compile under Indigo
  * compile under Indigo
  * Merge pull request #10 <https://github.com/wg-perception/object_recognition_ros/issues/10> from v4hn/pose_result-no-db-fix
    don't segfault without a valid database entry
  * comply to the new API
  * fixes #12 <https://github.com/wg-perception/object_recognition_ros/issues/12>
  * Merge pull request #11 <https://github.com/wg-perception/object_recognition_ros/issues/11> from v4hn/table-nan-no-ogre-exception
    don't throw ogre exception when receiving invalid table
  * don't throw ogre exception when receiving invalid table
    Although it should not happen, the plugin should still
    verify it's input messages before passing them on to OGRE.
    Otherwise rviz crashes:
    rviz: /build/buildd/ogre-1.7.4/OgreMain/src/OgreNode.cpp:413: virtual void
    Ogre::Node::setPosition(const Ogre::Vector3&): Assertion `!pos.isNaN() &&
    "Invalid vector supplied as parameter"' failed.
    Aborted (core dumped)
  * don't segfault without a valid database entry
  * Contributors: Vincent Rabaud, v4hn

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 12 Apr 2014 22:00:00 -0000

ros-indigo-object-recognition-ros (0.3.1-0trusty) trusty; urgency=high

  * fix disappearing mesh
  * add options for displaying text in plugins

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 18 Dec 2013 21:12:06 +0100

ros-indigo-object-recognition-ros (0.3.0-0trusty) trusty; urgency=high

  * add a plugin to display tables
  * drop Fuerte support
  * remove the OpenCV dependency
  * remove the PCL dependency

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 08 Dec 2013 19:12:06 +0100

ros-indigo-object-recognition-ros (0.2.4-0trusty) trusty; urgency=high

  * fixes #7

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 26 Sep 2013 01:13:06 +0200

ros-indigo-object-recognition-ros (0.2.3-0trusty) trusty; urgency=high

  * fix dependencies with PCL

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 28 Aug 2013 20:21:21 +0200

=== debian/control ===
Source: ros-indigo-object-recognition-ros
Section: misc
Priority: extra
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-indigo-actionlib, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-ecto, ros-indigo-ecto-image-pipeline, ros-indigo-ecto-ros, ros-indigo-geometric-shapes, ros-indigo-object-recognition-core, ros-indigo-object-recognition-msgs, ros-indigo-pluginlib, ros-indigo-visualization-msgs
Homepage: wg-perception.github.io/object_recognition_ros
Standards-Version: 3.9.2

Package: ros-indigo-object-recognition-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-indigo-actionlib, ros-indigo-ecto, ros-indigo-ecto-image-pipeline, ros-indigo-ecto-ros, ros-indigo-geometric-shapes, ros-indigo-object-recognition-core, ros-indigo-object-recognition-msgs, ros-indigo-pluginlib, ros-indigo-rostopic
Description: object_recognition_core contains tools to launch several recognition pipelines, train objects, store models ...

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-object-recognition-ros//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
